;****************************************************************
;*  REG515.INC, LAST CHANGE: 03.12.90                           *
;*                                                              *
;*              REGISTER-CONSTANTS FOR 80515                    *
;*              ============================                    *
;*                                                              *
;****************************************************************

;================================================================
;       CONTROLS
;----------------------------------------------------------------
ACC     EQU     0E0H    ;BIT-ADDRESSABLE
PSW     EQU     0D0H    ;BIT-ADDRESSABLE
CY      BIT     PSW.7
AC      BIT     PSW.6
F0      BIT     PSW.5
RS1     BIT     PSW.4
RS0     BIT     PSW.3
OV      BIT     PSW.2
F1      BIT     PSW.1
P       BIT     PSW.0
B       EQU     0F0H    ;BIT-ADDRESSABLE
SP      EQU     081H
DPL     EQU     082H
DPH     EQU     083H
PCON    EQU     087H
;================================================================
;       PORTS
;----------------------------------------------------------------
P0      EQU     080H    ;BIT-ADDRESSABLE
P1      EQU     090H    ;BIT-ADDRESSABLE
P2      EQU     0A0H    ;BIT-ADDRESSABLE
P3      EQU     0B0H    ;BIT-ADDRESSABLE
RD      BIT     P3.7
WR      BIT     P3.6
T1      BIT     P3.5
T0      BIT     P3.4
INT1    BIT     P3.3
INT0    BIT     P3.2
TXD     BIT     P3.1
RXD     BIT     P3.0
P4      EQU     0E8H    ;BIT-ADDRESSABLE
P5      EQU     0F8H    ;BIT-ADDRESSABLE
;================================================================
;       TIMERS
;----------------------------------------------------------------
TMOD    EQU     089H
TCON    EQU     088H    ;BIT-ADDRESSABLE
TF1     BIT     TCON.7
TR1     BIT     TCON.6
TF0     BIT     TCON.5
TR0     BIT     TCON.4
IE1     BIT     TCON.3
IT1     BIT     TCON.2
IE0     BIT     TCON.1
IT0     BIT     TCON.0
TL0     EQU     08AH
TH0     EQU     08CH
TL1     EQU     08BH
TH1     EQU     08DH
;================================================================
;       CAPTURE-COMPARE & TIMER
;----------------------------------------------------------------
T2CON   EQU     0C8H    ;BIT-ADDRESSABLE
T2PS    BIT     T2CON.7
I3FR    BIT     T2CON.6
I2FR    BIT     T2CON.5
T2R1    BIT     T2CON.4
T2R0    BIT     T2CON.3
T2CM    BIT     T2CON.2
T2I1    BIT     T2CON.1
T2I0    BIT     T2CON.0
TL2     EQU     0CCH
TH2     EQU     0CDH
CCEN    EQU     0C1H
CCL1    EQU     0C2H
CCH1    EQU     0C3H
CCL2    EQU     0C4H
CCH2    EQU     0C5H
CCL3    EQU     0C6H
CCH3    EQU     0C7H
CRCL    EQU     0CAH
CRCH    EQU     0CBH
;================================================================
;       SERIAL INTERFACE
;----------------------------------------------------------------
SCON    EQU     098H    ;BIT-ADDRESSABLE
SM0     BIT     SCON.7
SM1     BIT     SCON.6
SM2     BIT     SCON.5
REN     BIT     SCON.4
TB8     BIT     SCON.3
RB8     BIT     SCON.2
TI      BIT     SCON.1
RI      BIT     SCON.0
SBUF    EQU     099H
;================================================================
;       ANALOG-DIGITAL-CONVERTER
;----------------------------------------------------------------
ADCON   EQU     0D8H    ;BIT-ADDRESSABLE
BD      BIT     ADCON.7
CLK     BIT     ADCON.6
BSY     BIT     ADCON.4
ADM     BIT     ADCON.3
MX2     BIT     ADCON.2
MX1     BIT     ADCON.1
MX0     BIT     ADCON.0
ADDAT   EQU     0D9H
DAPR    EQU     0DAH
;================================================================
;       INTERRUPTS
;----------------------------------------------------------------
IP0     EQU     0A9H
IP1     EQU     0B9H
IEN0    EQU     0A8H    ;BIT-ADDRESSABLE
EAL     BIT     IEN0.7
WDT     BIT     IEN0.6
ET2     BIT     IEN0.5
ES      BIT     IEN0.4
ET1     BIT     IEN0.3
EX1     BIT     IEN0.2
ET0     BIT     IEN0.1
EX0     BIT     IEN0.0
IEN1    EQU     0B8H    ;BIT-ADDRESSABLE
EXEN2   BIT     IEN1.7
SWDT    BIT     IEN1.6
EX6     BIT     IEN1.5
EX5     BIT     IEN1.4
EX4     BIT     IEN1.3
EX3     BIT     IEN1.2
EX2     BIT     IEN1.1
EADC    BIT     IEN1.0
IRCON   EQU     0C0H    ;BIT-ADDRESSABLE
EXF2    BIT     IRCON.7
TF2     BIT     IRCON.6
IEX6    BIT     IRCON.5
IEX5    BIT     IRCON.4
IEX4    BIT     IRCON.3
IEX3    BIT     IRCON.2
IEX2    BIT     IRCON.1
IADC    BIT     IRCON.0
;=== ENDE =======================================================
